## ros-indigo-segbot-navigation 0.3.5

=== CMakeLists.txt ===
# http://ros.org/doc/groovy/api/catkin/html/user_guide/supposed.html
cmake_minimum_required(VERSION 2.8.3)
project(segbot_navigation)

find_package(catkin REQUIRED COMPONENTS bwi_interruptable_action_server geometry_msgs move_base_msgs nav_msgs std_srvs)
catkin_package(
  CATKIN_DEPENDS bwi_interruptable_action_server geometry_msgs move_base_msgs nav_msgs std_srvs
)

include_directories(${catkin_INCLUDE_DIRS})
add_executable(move_base_interruptable_server src/move_base_interruptable_server.cpp)
target_link_libraries(move_base_interruptable_server
  ${catkin_LIBRARIES}
)

install(TARGETS move_base_interruptable_server
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

foreach(dir config launch rviz)
  install(DIRECTORY ${dir}/ 
    DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/${dir})
endforeach()

catkin_install_python(PROGRAMS scripts/move_base_interruptable_simple scripts/rviz_runner
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

# Install the teleoperation script for rosrun 
install(PROGRAMS 
  scripts/rviz_runner
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

# unit tests are enabled selectively
if (CATKIN_ENABLE_TESTING)
  find_package(roslaunch REQUIRED)
  roslaunch_add_file_check(launch/amcl.launch)
  roslaunch_add_file_check(launch/gmapping.launch)
  roslaunch_add_file_check(launch/move_base_eband.launch)
  roslaunch_add_file_check(launch/rviz.launch)
  ## launch/navigation.launch not tested until
  ## ros-drivers/openni_launch#10 is fixed.
endif ()

=== debian/changelog ===
ros-indigo-segbot-navigation (0.3.5-0trusty) trusty; urgency=high



 -- Piyush Khandelwal <piyushk@gmail.com>  Sat, 27 Aug 2016 05:00:00 -0000

ros-indigo-segbot-navigation (0.3.4-0trusty) trusty; urgency=high

  * Added gmapping launch files for version 3 BWI Bot and added mapping instructions.
  * Resolving hardcoded directory in include
    A recent commit changed most of the rosparam .yaml files to be found based on the robot version (segbotv2 or v3).
    One file, eband_planner_params.yaml had the old directory structure hardcoded in, preventing successful startup when running the bwi launch files on a segbot_v2.
  * improved door sensing behavior. switched from navfn to global_planner
  * updated parameters, and separated v2 and v3 navigation configuration parameters.
  * fixed robot footprint.
  * updated for hokuyo on segbot v3
  * switch from pointcloud to laserscan in navigation for the
    velodyne. Introduce the scan shadows filter.
  * Contributors: FernandezR, Piyush Khandelwal, maxsvetlik

 -- Piyush Khandelwal <piyushk@gmail.com>  Mon, 08 Aug 2016 05:00:00 -0000

ros-indigo-segbot-navigation (0.3.3-0trusty) trusty; urgency=high

  * merge segbot_apps packages into segbot (#46 <https://github.com/utexas-bwi/segbot/issues/46>)
  * Contributors: Jack O'Quin

 -- Piyush Khandelwal <piyushk@gmail.com>  Wed, 05 Aug 2015 05:00:00 -0000

ros-indigo-segbot-navigation (0.3.1-0trusty) trusty; urgency=high

  * Allow explicit amcl laser max range paramter instantiation. closes #31 <https://github.com/utexas-bwi/segbot_apps/issues/31>.
  * Closes #29 <https://github.com/utexas-bwi/segbot_apps/issues/29>
    - Get latest version of move_base to get fix introduced in https://github.com/ros-planning/navigation/pull/295
    This allows setting tolerance to 0 when calling make_plan from segbot_logical_translator.
    - Don't use any tolerance when testing whether a door was open or not.
    - Don't clear costmap around robot when testing for an open door.
  * Increase local costmap size to 8m x 8m. Increasing obstacle and raytrace range for primary laser to match. Closes #26 <https://github.com/utexas-bwi/segbot_apps/issues/26>.
  * updated planner frequency to 1.0. Closes #25 <https://github.com/utexas-bwi/segbot_apps/issues/25>
  * Contributors: Piyush Khandelwal

 -- Piyush Khandelwal <piyushk@gmail.com>  Tue, 31 Mar 2015 05:00:00 -0000

ros-indigo-segbot-navigation (0.3.0-0trusty) trusty; urgency=high

  * a number of navigation changes to allow for correct navigation with multiple namespaced robots, and use the multimap.
  * fixed a bunch of catkin_lint errors. also installed missing scripts. closes #23 <https://github.com/utexas-bwi/segbot_apps/issues/23>
  * added better approach point determination. only navigate via the current location
  * Fixed nan_to_inf filter, still testing laser on new robot.
  * revised map_server's node name to make it unique
  * tuned many of the amcl parameters to make navigation better.
  * Made the door checker test for the door to be open 3 times before going through. Works much better.
  * Contributors: BWI, Jivko Sinapov, Piyush Khandelwal, Shiqi Zhang, bwi

 -- Piyush Khandelwal <piyushk@gmail.com>  Tue, 24 Mar 2015 05:00:00 -0000

ros-indigo-segbot-navigation (0.2.1-0trusty) trusty; urgency=high



 -- Piyush Khandelwal <piyushk@gmail.com>  Tue, 22 Apr 2014 05:00:00 -0000

ros-indigo-segbot-navigation (0.2.0-0trusty) trusty; urgency=high

  * use ``roslaunch_add_files_check()`` to test that required launch
    file dependencies are declared.

 -- Piyush Khandelwal <piyushk@gmail.com>  Sat, 19 Apr 2014 05:00:00 -0000

ros-indigo-segbot-navigation (0.1.5-0trusty) trusty; urgency=high

  * closes #8 <https://github.com/utexas-bwi/segbot_apps/issues/8>

 -- Piyush Khandelwal <piyushk@gmail.com>  Tue, 03 Sep 2013 05:00:00 -0000

ros-indigo-segbot-navigation (0.1.4-0trusty) trusty; urgency=high

  * added a real world navigation file
  * updated and cleaned up visualization config
  * cleaned up launch and configuration files. closes #6 <https://github.com/utexas-bwi/segbot_apps/issues/6>
  * removed confusing map_namespace parameter
  * added map_topic parameter for multi-robot scenarios

 -- Piyush Khandelwal <piyushk@gmail.com>  Mon, 12 Aug 2013 05:00:00 -0000

ros-indigo-segbot-navigation (0.1.3-0trusty) trusty; urgency=high

  * added missing dependencies (closes #4 <https://github.com/utexas-bwi/segbot_apps/issues/4>). Cleaned up package and cmake files.
  * changed costmap visualization to occupancy grid in rviz configuration

 -- Piyush Khandelwal <piyushk@gmail.com>  Tue, 16 Jul 2013 05:00:00 -0000

ros-indigo-segbot-navigation (0.1.2-0trusty) trusty; urgency=high

  * removed dependency on navigation meta-package. progress towards #3 <https://github.com/utexas-bwi/segbot_apps/issues/3>

 -- Piyush Khandelwal <piyushk@gmail.com>  Sat, 13 Jul 2013 05:00:00 -0000

ros-indigo-segbot-navigation (0.1.1-0trusty) trusty; urgency=high

  * navigation has been released as a system dependency

 -- Piyush Khandelwal <piyushk@gmail.com>  Wed, 10 Jul 2013 05:00:00 -0000

ros-indigo-segbot-navigation (0.1.0-0trusty) trusty; urgency=high

  * removed redundant doc file
  * uncommented runtime launch dependencies on navigation and eband_local_planner as they have not been released into hydro yet
  * catkinized segbot_apps
  * updating the eband visualization configuration for hydro-devel
  * increased footprint size to produce an inscribed radius of 0.3
  * fixed footprint location while waiting for ros-planning/navigation#63 <https://github.com/ros-planning/navigation/issues/63> to be fixed
  * commenting out hydro-devel navigation test code. This should not be checked in until navigation through hydro-devel is fixed
  * changes to prepare for the catkinization of eband_local_planner against hydro-devel in navigation
  * some improvements to navigation
  * fixed a bug in the eband trajectory controller
  * in-place rotation at goal now supported


=== debian/control ===
Source: ros-indigo-segbot-navigation
Section: misc
Priority: extra
Maintainer: Piyush Khandelwal <piyushk@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-bwi-interruptable-action-server, ros-indigo-catkin, ros-indigo-geometry-msgs, ros-indigo-move-base-msgs, ros-indigo-nav-msgs, ros-indigo-roslaunch, ros-indigo-std-srvs
Homepage: http://ros.org/wiki/segbot_navigation
Standards-Version: 3.9.2

Package: ros-indigo-segbot-navigation
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-amcl, ros-indigo-bwi-interruptable-action-server, ros-indigo-eband-local-planner, ros-indigo-geometry-msgs, ros-indigo-global-planner, ros-indigo-gmapping, ros-indigo-map-server, ros-indigo-move-base (>= 1.11.15), ros-indigo-move-base-msgs, ros-indigo-nav-msgs, ros-indigo-rviz, ros-indigo-segbot-bringup, ros-indigo-std-srvs
Description: Contains launch files for running the ROS navigation stack on the segbot using the eband_local_planner approach, as well as launch files for amcl and gmapping.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-segbot-navigation//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
